Index: trunk/NEMO/OPA_SRC/lbclnk.F90
===================================================================
--- trunk/NEMO/OPA_SRC/lbclnk.F90	(revision 873)
+++ trunk/NEMO/OPA_SRC/lbclnk.F90	(revision 888)
@@ -93,5 +93,5 @@
       !!----------------------------------------------------------------------
       !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-      !! $Header$ 
+      !! $Id$
       !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
       !!----------------------------------------------------------------------
@@ -329,5 +329,5 @@
 
 
-   SUBROUTINE lbc_lnk_3d( pt3d, cd_type, psgn, cd_mpp )
+   SUBROUTINE lbc_lnk_3d( pt3d, cd_type, psgn, cd_mpp, pval )
       !!---------------------------------------------------------------------
       !!                  ***  ROUTINE lbc_lnk_3d  ***
@@ -355,15 +355,24 @@
       CHARACTER(len=3), INTENT( in ), OPTIONAL ::    &
          cd_mpp        ! fill the overlap area only (here do nothing)
+      REAL(wp)        , INTENT(in   ), OPTIONAL           ::   pval      ! background value (used at closed boundaries)
 
       !! * Local declarations
       INTEGER  ::   ji, jk
       INTEGER  ::   ijt, iju
+      REAL(wp) ::   zland
       !!----------------------------------------------------------------------
       !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-      !! $Header$ 
+      !! $Id$
       !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
       !!----------------------------------------------------------------------
 
-      IF (PRESENT(cd_mpp)) THEN
+      IF( PRESENT( pval ) ) THEN      ! set land value (zero by default)
+         zland = pval
+      ELSE
+         zland = 0.e0
+      ENDIF
+
+
+      IF( PRESENT( cd_mpp ) ) THEN
          ! only fill the overlap area and extra allows 
          ! this is in mpp case. In this module, just do nothing
@@ -385,8 +394,8 @@
             SELECT CASE ( cd_type )
             CASE ( 'T' , 'U' , 'V' , 'W' )             ! T-, U-, V-, W-points
-               pt3d( 1 ,:,jk) = 0.e0
-               pt3d(jpi,:,jk) = 0.e0
-            CASE ( 'F' )                               ! F-point
-               pt3d(jpi,:,jk) = 0.e0
+               pt3d( 1 ,:,jk) = zland
+               pt3d(jpi,:,jk) = zland
+            CASE ( 'F' )                               ! F-point
+               pt3d(jpi,:,jk) = zland
             END SELECT
 
@@ -402,14 +411,14 @@
             CASE ( 'T' , 'U' , 'W' )                   ! T-, U-, W-points
                pt3d(:, 1 ,jk) = pt3d(:,3,jk)
-               pt3d(:,jpj,jk) = 0.e0
+               pt3d(:,jpj,jk) = zland
             CASE ( 'V' , 'F' )                         ! V-, F-points
                pt3d(:, 1 ,jk) = psgn * pt3d(:,2,jk)
-               pt3d(:,jpj,jk) = 0.e0
+               pt3d(:,jpj,jk) = zland
             END SELECT
 
          CASE ( 3 , 4 )                        ! *  North fold  T-point pivot
 
-!            pt3d( 1 ,jpj,jk) = 0.e0
-!            pt3d(jpi,jpj,jk) = 0.e0
+            pt3d( 1 ,jpj,jk) = zland
+            pt3d(jpi,jpj,jk) = zland
 
             SELECT CASE ( cd_type )
@@ -417,5 +426,5 @@
                DO ji = 2, jpi
                   ijt = jpi-ji+2
-                  pt3d(ji, 1 ,jk) = 0.e0
+                  pt3d(ji, 1 ,jk) = zland
                   pt3d(ji,jpj,jk) = psgn * pt3d(ijt,jpj-2,jk)
                END DO
@@ -427,5 +436,5 @@
                DO ji = 1, jpi-1
                   iju = jpi-ji+1
-                  pt3d(ji, 1 ,jk) = 0.e0
+                  pt3d(ji, 1 ,jk) = zland
                   pt3d(ji,jpj,jk) = psgn * pt3d(iju,jpj-2,jk)
                END DO
@@ -437,5 +446,5 @@
                   DO ji = 2, jpi
                      ijt = jpi-ji+2
-                     pt3d(ji,  1  ,jk) = 0.e0
+                     pt3d(ji,  1  ,jk) = zland
                      pt3d(ji,jpj-1,jk) = psgn * pt3d(ijt,jpj-2,jk)
                      pt3d(ji,jpj  ,jk) = psgn * pt3d(ijt,jpj-3,jk)
@@ -451,6 +460,6 @@
          CASE ( 5 , 6 )                        ! *  North fold  F-point pivot
 
-            pt3d( 1 ,jpj,jk) = 0.e0
-            pt3d(jpi,jpj,jk) = 0.e0
+            pt3d( 1 ,jpj,jk) = zland
+            pt3d(jpi,jpj,jk) = zland
 
             SELECT CASE ( cd_type )
@@ -458,5 +467,5 @@
                DO ji = 1, jpi
                   ijt = jpi-ji+1
-                  pt3d(ji, 1 ,jk) = 0.e0
+                  pt3d(ji, 1 ,jk) = zland
                   pt3d(ji,jpj,jk) = psgn * pt3d(ijt,jpj-1,jk)
                END DO
@@ -464,5 +473,5 @@
                   DO ji = 1, jpi-1
                      iju = jpi-ji
-                     pt3d(ji, 1 ,jk) = 0.e0
+                     pt3d(ji, 1 ,jk) = zland
                      pt3d(ji,jpj,jk) = psgn * pt3d(iju,jpj-1,jk)
                   END DO
@@ -470,5 +479,5 @@
                   DO ji = 1, jpi
                      ijt = jpi-ji+1
-                     pt3d(ji, 1 ,jk) = 0.e0
+                     pt3d(ji, 1 ,jk) = zland
                      pt3d(ji,jpj,jk) = psgn * pt3d(ijt,jpj-2,jk)
                   END DO
@@ -492,8 +501,8 @@
             SELECT CASE ( cd_type )
             CASE ( 'T' , 'U' , 'V' , 'W' )             ! T-, U-, V-, W-points
-               pt3d(:, 1 ,jk) = 0.e0
-               pt3d(:,jpj,jk) = 0.e0
-            CASE ( 'F' )                               ! F-point
-               pt3d(:,jpj,jk) = 0.e0
+               pt3d(:, 1 ,jk) = zland
+               pt3d(:,jpj,jk) = zland
+            CASE ( 'F' )                               ! F-point
+               pt3d(:,jpj,jk) = zland
             END SELECT
 
@@ -506,5 +515,5 @@
 
 
-   SUBROUTINE lbc_lnk_2d( pt2d, cd_type, psgn, cd_mpp )
+   SUBROUTINE lbc_lnk_2d( pt2d, cd_type, psgn, cd_mpp, pval )
       !!---------------------------------------------------------------------
       !!                 ***  ROUTINE lbc_lnk_2d  ***
@@ -532,11 +541,17 @@
       CHARACTER(len=3), INTENT( in ), OPTIONAL ::    &
          cd_mpp        ! fill the overlap area only (here do nothing)
+      REAL(wp)        , INTENT(in   ), OPTIONAL           ::   pval      ! background value (used at closed boundaries)
 
       !! * Local declarations
       INTEGER  ::   ji
       INTEGER  ::   ijt, iju
+      REAL(wp) ::   zland
       !!----------------------------------------------------------------------
-      !!  OPA 8.5, LODYC-IPSL (2002)
-      !!----------------------------------------------------------------------
+
+      IF( PRESENT( pval ) ) THEN      ! set land value (zero by default)
+         zland = pval
+      ELSE
+         zland = 0.e0
+      ENDIF
 
       IF (PRESENT(cd_mpp)) THEN
@@ -556,11 +571,11 @@
          SELECT CASE ( cd_type )
          CASE ( 'T' , 'U' , 'V' , 'W' )                ! T-, U-, V-, W-points
-            pt2d( 1 ,:) = 0.e0
-            pt2d(jpi,:) = 0.e0
+            pt2d( 1 ,:) = zland
+            pt2d(jpi,:) = zland
          CASE ( 'F' )                                  ! F-point, ice U-V point
-            pt2d(jpi,:) = 0.e0 
+            pt2d(jpi,:) = zland
          CASE ( 'I' )                                  ! F-point, ice U-V point
-            pt2d( 1 ,:) = 0.e0 
-            pt2d(jpi,:) = 0.e0 
+            pt2d( 1 ,:) = zland
+            pt2d(jpi,:) = zland
          END SELECT
 
@@ -576,15 +591,15 @@
          CASE ( 'T' , 'U' , 'W' )                      ! T-, U-, W-points
             pt2d(:, 1 ) = pt2d(:,3)
-            pt2d(:,jpj) = 0.e0
+            pt2d(:,jpj) = zland
          CASE ( 'V' , 'F' , 'I' )                      ! V-, F-points, ice U-V point
             pt2d(:, 1 ) = psgn * pt2d(:,2)
-            pt2d(:,jpj) = 0.e0
+            pt2d(:,jpj) = zland
          END SELECT
 
       CASE ( 3 , 4 )                           ! * North fold  T-point pivot
 
-!         pt2d( 1 , 1 ) = 0.e0        !!!!!  bug gm ??? !Edmee
-!         pt2d( 1 ,jpj) = 0.e0
-!         pt2d(jpi,jpj) = 0.e0
+         pt2d( 1 , 1 ) = zland       !!!!!  bug gm ??? !Edmee
+         pt2d( 1 ,jpj) = zland
+         pt2d(jpi,jpj) = zland
 
          SELECT CASE ( cd_type )
@@ -593,5 +608,5 @@
             DO ji = 2, jpi
                ijt = jpi-ji+2
-               pt2d(ji, 1 ) = 0.e0
+               pt2d(ji, 1 ) = zland
                pt2d(ji,jpj) = psgn * pt2d(ijt,jpj-2)
             END DO
@@ -604,5 +619,5 @@
             DO ji = 1, jpi-1
                iju = jpi-ji+1
-               pt2d(ji, 1 ) = 0.e0
+               pt2d(ji, 1 ) = zland
                pt2d(ji,jpj) = psgn * pt2d(iju,jpj-2)
             END DO
@@ -615,5 +630,5 @@
             DO ji = 2, jpi
                ijt = jpi-ji+2
-               pt2d(ji, 1   ) = 0.e0
+               pt2d(ji, 1   ) = zland
                pt2d(ji,jpj-1) = psgn * pt2d(ijt,jpj-2)
                pt2d(ji,jpj  ) = psgn * pt2d(ijt,jpj-3)
@@ -628,5 +643,5 @@
 
          CASE ( 'I' )                                  ! ice U-V point
-            pt2d(:, 1 ) = 0.e0
+            pt2d(:, 1 ) = zland
             pt2d(2,jpj) = psgn * pt2d(3,jpj-1)
             DO ji = 3, jpi
@@ -639,7 +654,7 @@
       CASE ( 5 , 6 )                           ! * North fold  F-point pivot
 
-         pt2d( 1 , 1 ) = 0.e0           !!bug  ???
-         pt2d( 1 ,jpj) = 0.e0
-         pt2d(jpi,jpj) = 0.e0
+         pt2d( 1 , 1 ) = zland          !!bug  ???
+         pt2d( 1 ,jpj) = zland
+         pt2d(jpi,jpj) = zland
 
          SELECT CASE ( cd_type )
@@ -648,5 +663,5 @@
             DO ji = 1, jpi
                ijt = jpi-ji+1
-               pt2d(ji, 1 ) = 0.e0
+               pt2d(ji, 1 ) = zland
                pt2d(ji,jpj) = psgn * pt2d(ijt,jpj-1)
             END DO
@@ -655,5 +670,5 @@
             DO ji = 1, jpi-1
                iju = jpi-ji
-               pt2d(ji, 1 ) = 0.e0
+               pt2d(ji, 1 ) = zland
                pt2d(ji,jpj) = psgn * pt2d(iju,jpj-1)
             END DO
@@ -662,5 +677,5 @@
             DO ji = 1, jpi
                ijt = jpi-ji+1
-               pt2d(ji, 1 ) = 0.e0
+               pt2d(ji, 1 ) = zland
                pt2d(ji,jpj) = psgn * pt2d(ijt,jpj-2)
             END DO
@@ -681,6 +696,6 @@
 
          CASE ( 'I' )                                  ! ice U-V point
-            pt2d( : , 1 ) = 0.e0
-            pt2d( 2 ,jpj) = 0.e0
+            pt2d( : , 1 ) = zland
+            pt2d( 2 ,jpj) = zland
             DO ji = 2 , jpim1
                ijt = jpi - ji + 2
@@ -694,11 +709,11 @@
          SELECT CASE ( cd_type )
          CASE ( 'T' , 'U' , 'V' , 'W' )                ! T-, U-, V-, W-points
-            pt2d(:, 1 ) = 0.e0
-            pt2d(:,jpj) = 0.e0
+            pt2d(:, 1 ) = zland
+            pt2d(:,jpj) = zland
          CASE ( 'F' )                                  ! F-point
-            pt2d(:,jpj) = 0.e0
+            pt2d(:,jpj) = zland
          CASE ( 'I' )                                  ! ice U-V point
-            pt2d(:, 1 ) = 0.e0
-            pt2d(:,jpj) = 0.e0
+            pt2d(:, 1 ) = zland
+            pt2d(:,jpj) = zland
          END SELECT
 
Index: trunk/NEMO/OPA_SRC/lib_mpp.F90
===================================================================
--- trunk/NEMO/OPA_SRC/lib_mpp.F90	(revision 873)
+++ trunk/NEMO/OPA_SRC/lib_mpp.F90	(revision 888)
@@ -48,5 +48,5 @@
    !!----------------------------------------------------------------------
    !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/lib_mpp.F90,v 1.21 2007/06/05 10:28:55 opalod Exp $ 
+   !! $Id$
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!---------------------------------------------------------------------
@@ -278,5 +278,5 @@
    !!----------------------------------------------------------------------
    !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/lib_mpp.F90,v 1.21 2007/06/05 10:28:55 opalod Exp $ 
+   !! $Id$
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!---------------------------------------------------------------------
@@ -605,5 +605,5 @@
 #endif
 
-   SUBROUTINE mpp_lnk_3d( ptab, cd_type, psgn, cd_mpp )
+   SUBROUTINE mpp_lnk_3d( ptab, cd_type, psgn, cd_mpp, pval )
       !!----------------------------------------------------------------------
       !!                  ***  routine mpp_lnk_3d  ***
@@ -640,4 +640,5 @@
       CHARACTER(len=3), INTENT( in ), OPTIONAL ::    &
          cd_mpp        ! fill the overlap area only 
+      REAL(wp)        , INTENT(in   ), OPTIONAL           ::   pval      ! background value (used at closed boundaries)
 
       !! * Local variables
@@ -646,8 +647,15 @@
       INTEGER ::   ml_req1, ml_req2, ml_err     ! for key_mpi_isend
       INTEGER ::   ml_stat(MPI_STATUS_SIZE)     ! for key_mpi_isend
+      REAL(wp) ::   zland
       !!----------------------------------------------------------------------
 
       ! 1. standard boundary treatment
       ! ------------------------------
+
+      IF( PRESENT( pval ) ) THEN      ! set land value (zero by default)
+         zland = pval
+      ELSE
+         zland = 0.e0
+      ENDIF
 
       IF( PRESENT( cd_mpp ) ) THEN
@@ -670,8 +678,8 @@
             SELECT CASE ( cd_type )
             CASE ( 'T', 'U', 'V', 'W' )
-               ptab(     1       :jpreci,:,:) = 0.e0
-               ptab(nlci-jpreci+1:jpi   ,:,:) = 0.e0
+               ptab(     1       :jpreci,:,:) = zland
+               ptab(nlci-jpreci+1:jpi   ,:,:) = zland
             CASE ( 'F' )
-               ptab(nlci-jpreci+1:jpi   ,:,:) = 0.e0
+               ptab(nlci-jpreci+1:jpi   ,:,:) = zland
             END SELECT 
          ENDIF
@@ -681,8 +689,8 @@
          SELECT CASE ( cd_type )
          CASE ( 'T', 'U', 'V', 'W' )
-            ptab(:,     1       :jprecj,:) = 0.e0
-            ptab(:,nlcj-jprecj+1:jpj   ,:) = 0.e0
+            ptab(:,     1       :jprecj,:) = zland
+            ptab(:,nlcj-jprecj+1:jpj   ,:) = zland
          CASE ( 'F' )
-            ptab(:,nlcj-jprecj+1:jpj   ,:) = 0.e0
+            ptab(:,nlcj-jprecj+1:jpj   ,:) = zland
          END SELECT
      
@@ -1058,5 +1066,5 @@
 
 
-   SUBROUTINE mpp_lnk_2d( pt2d, cd_type, psgn, cd_mpp )
+   SUBROUTINE mpp_lnk_2d( pt2d, cd_type, psgn, cd_mpp, pval )
       !!----------------------------------------------------------------------
       !!                  ***  routine mpp_lnk_2d  ***
@@ -1092,4 +1100,5 @@
       CHARACTER(len=3), INTENT( in ), OPTIONAL ::    &
          cd_mpp        ! fill the overlap area only 
+      REAL(wp)        , INTENT(in   ), OPTIONAL           ::   pval      ! background value (used at closed boundaries)
 
       !! * Local variables
@@ -1100,5 +1109,12 @@
       INTEGER  ::   ml_req1, ml_req2, ml_err     ! for key_mpi_isend
       INTEGER  ::   ml_stat(MPI_STATUS_SIZE)     ! for key_mpi_isend
+      REAL(wp) ::   zland
       !!----------------------------------------------------------------------
+
+      IF( PRESENT( pval ) ) THEN      ! set land value (zero by default)
+         zland = pval
+      ELSE
+         zland = 0.e0
+      ENDIF
 
       ! 1. standard boundary treatment
@@ -1123,8 +1139,8 @@
             SELECT CASE ( cd_type )
             CASE ( 'T', 'U', 'V', 'W' , 'I' )
-               pt2d(     1       :jpreci,:) = 0.e0
-               pt2d(nlci-jpreci+1:jpi   ,:) = 0.e0
+               pt2d(     1       :jpreci,:) = zland
+               pt2d(nlci-jpreci+1:jpi   ,:) = zland
             CASE ( 'F' )
-               pt2d(nlci-jpreci+1:jpi   ,:) = 0.e0
+               pt2d(nlci-jpreci+1:jpi   ,:) = zland
             END SELECT
          ENDIF
@@ -1134,8 +1150,8 @@
          SELECT CASE ( cd_type )
          CASE ( 'T', 'U', 'V', 'W' , 'I' )
-            pt2d(:,     1       :jprecj) = 0.e0
-            pt2d(:,nlcj-jprecj+1:jpj   ) = 0.e0
+            pt2d(:,     1       :jprecj) = zland
+            pt2d(:,nlcj-jprecj+1:jpj   ) = zland
          CASE ( 'F' )
-            pt2d(:,nlcj-jprecj+1:jpj   ) = 0.e0
+            pt2d(:,nlcj-jprecj+1:jpj   ) = zland
          END SELECT
 
@@ -1402,5 +1418,5 @@
   
             CASE ( 'I' )                                  ! ice U-V point
-               pt2d( 2 ,nlcj) = 0.e0
+               pt2d( 2 ,nlcj) = zland
                DO ji = 2 , nlci-1
                   ijt = iloc - ji + 2
@@ -3087,5 +3103,5 @@
       INTEGER , INTENT( in  )                  ::   kdim        ! size of array
       INTEGER , INTENT(inout), DIMENSION(kdim) ::   ktab        ! input array
-      INTEGER , INTENT(in), OPTIONAL         ::   kcom  
+      INTEGER , INTENT(in)   , OPTIONAL        ::   kcom  
   
 #if defined key_mpp_shmem
@@ -3197,5 +3213,5 @@
       INTEGER , INTENT( in  )                  ::   kdim        ! size of array
       INTEGER , INTENT(inout), DIMENSION(kdim) ::   ktab        ! input array
-      INTEGER , INTENT(in), OPTIONAL        ::   kcom        ! input array
+      INTEGER , INTENT( in  ), OPTIONAL        ::   kcom        ! input array
   
 #if defined key_mpp_shmem
@@ -3538,5 +3554,5 @@
     INTEGER , INTENT( in  )                  ::   kdim
     REAL(wp), INTENT(inout), DIMENSION(kdim) ::   ptab
-    INTEGER , INTENT( in  ), OPTIONAL     ::   kcom
+    INTEGER , INTENT( in  ), OPTIONAL        ::   kcom
 
 #if defined key_mpp_shmem
@@ -3595,5 +3611,5 @@
     !! * Arguments
     REAL(wp), INTENT(inout) ::   ptab      ! ???
-    INTEGER, INTENT(in), OPTIONAL ::   kcom      ! ???
+    INTEGER , INTENT( in  ), OPTIONAL ::   kcom      ! ???
 
 #if defined key_mpp_shmem
@@ -3703,5 +3719,5 @@
     !! * Arguments
     REAL(wp), INTENT( inout ) ::   ptab        ! 
-    INTEGER,INTENT(in), OPTIONAL :: kcom
+    INTEGER , INTENT(  in   ), OPTIONAL :: kcom
 
 #if defined key_mpp_shmem
@@ -3753,5 +3769,5 @@
     INTEGER , INTENT( in )                     ::   kdim      ! size of ptab
     REAL(wp), DIMENSION(kdim), INTENT( inout ) ::   ptab      ! input array
-    INTEGER, INTENT(in), OPTIONAL :: kcom
+    INTEGER , INTENT( in ), OPTIONAL           :: kcom
 
 #if defined key_mpp_shmem
@@ -3811,5 +3827,5 @@
     !!-----------------------------------------------------------------------
     REAL(wp), INTENT(inout) ::   ptab        ! input scalar
-    INTEGER, INTENT(in), OPTIONAL :: kcom
+    INTEGER , INTENT( in  ), OPTIONAL :: kcom
 
 #if defined key_mpp_shmem
@@ -5454,5 +5470,5 @@
       INTEGER               :: kdim
       INTEGER, OPTIONAL     :: kcom 
-      WRITE(*,*) 'mppmax_a_int: You should not have seen this print! error?', kdim, karr(1)
+      WRITE(*,*) 'mppmax_a_int: You should not have seen this print! error?', kdim, karr(1), kcom
    END SUBROUTINE mppmax_a_int
 
@@ -5568,11 +5584,12 @@
    END SUBROUTINE mppstop
 
-   SUBROUTINE mpp_ini_lim
-      WRITE(*,*) 'mpp_ini_north: You should not have seen this print! error?'
-   END SUBROUTINE mpp_ini_lim
+   SUBROUTINE mpp_ini_ice(kcom)
+      INTEGER :: kcom
+      WRITE(*,*) 'mpp_ini_ice: You should not have seen this print! error?',kcom
+   END SUBROUTINE mpp_ini_ice
 
    SUBROUTINE mpp_comm_free(kcom)
       INTEGER :: kcom
-      WRITE(*,*) 'mpp_comm_free: You should not have seen this print! error?'
+      WRITE(*,*) 'mpp_comm_free: You should not have seen this print! error?',kcom
    END SUBROUTINE mpp_comm_free
 
Index: trunk/NEMO/OPA_SRC/opa.F90
===================================================================
--- trunk/NEMO/OPA_SRC/opa.F90	(revision 873)
+++ trunk/NEMO/OPA_SRC/opa.F90	(revision 888)
@@ -36,7 +36,8 @@
    !!----------------------------------------------------------------------
    !! * Modules used
+   USE oce             ! dynamics and tracers variables
    USE cpl_oce         ! ocean-atmosphere-sea ice coupled exchanges
    USE dom_oce         ! ocean space domain variables
-   USE oce             ! dynamics and tracers variables
+   USE sbc_oce         ! surface boundary condition: ocean
    USE trdmod_oce      ! ocean variables trends
    USE daymod          ! calendar
@@ -59,15 +60,6 @@
 
    USE phycst          ! physical constant                  (par_cst routine)
-#if defined key_lim3
-   USE iceini          ! initialization of sea-ice         (ice_init routine)
-#endif
-#if defined key_lim2
-   USE iceini_2        ! initialization of sea-ice         (ice_init_2 routine)
-#endif
-   USE cpl             ! coupled ocean/atmos.              (cpl_init routine)
    USE ocfzpt          ! ocean freezing point              (oc_fz_pt routine)
    USE trdmod          ! momentum/tracers trends       (trd_mod_init routine)
-   USE flxfwb          ! freshwater budget correction  (flx_fwb_init routine)
-   USE flxmod          ! thermohaline forcing of the ocean (flx_init routine)
 
    USE diaptr          ! poleward transports           (dia_ptr_init routine)
@@ -99,5 +91,5 @@
    !!----------------------------------------------------------------------
    !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/opa.F90,v 1.38 2007/06/05 10:32:02 opalod Exp $ 
+   !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -281,17 +273,7 @@
       IF( lk_obc    )   CALL obc_init       ! Open boundaries 
 
-      CALL day( nit000 )                    ! Calendar
-
       CALL istate_init                      ! ocean initial state (Dynamics and tracers)
 
       CALL oc_fz_pt                         ! Surface freezing point
-
-#if defined key_lim3
-      CALL ice_init                         ! Sea ice model LIM3
-#endif
-
-#if defined key_lim2
-      CALL ice_init_2                       ! Sea ice model LIM2
-#endif
 
       !                                     ! Ocean physics
@@ -319,8 +301,4 @@
       CALL cpl_prism_define
 #endif
-
-      CALL flx_init                         ! Thermohaline forcing initialization
-
-      CALL flx_fwb_init                     ! FreshWater Budget correction
 
       CALL dia_ptr_init                     ! Poleward TRansports initialization
@@ -475,5 +453,4 @@
       USE dtatem        ! temperature data
       USE dtasal        ! salinity data
-      USE dtasst        ! sea surface temperature data
       !!----------------------------------------------------------------------
 
Index: trunk/NEMO/OPA_SRC/phycst.F90
===================================================================
--- trunk/NEMO/OPA_SRC/phycst.F90	(revision 873)
+++ trunk/NEMO/OPA_SRC/phycst.F90	(revision 888)
@@ -4,5 +4,14 @@
    !!     Definition of of both ocean and ice parameters used in the code
    !!=====================================================================
-   !! * Modules used
+   !! History :        !  90-10  (C. Levy - G. Madec)  Original code
+   !!                  !  91-11  (G. Madec)
+   !!                  !  91-12  (M. Imbard)
+   !!             8.5  !  02-08  (G. Madec, C. Ethe)  F90, add ice constants
+   !!             9.0  !  06-08  (G. Madec)  style 
+   !!----------------------------------------------------------------------
+
+   !!----------------------------------------------------------------------
+   !!   phy_cst  : define and print physical constant and domain parameters
+   !!----------------------------------------------------------------------
    USE par_oce          ! ocean parameters
    USE in_out_manager   ! I/O manager
@@ -11,18 +20,9 @@
    PRIVATE
 
-   !! * Routine accessibility
-   PUBLIC phy_cst          ! routine called by inipar.F90
-
-   !! * Shared module variables
-   INTEGER, PUBLIC, DIMENSION(12) ::   &  !:
-      nbiss = (/ 31, 29, 31, 30, 31, 30,      &  !: number of days per month
-         &       31, 31, 30, 31, 30, 31 /) ,  &  !  (leap-year)
-      nobis = (/ 31, 28, 31, 30, 31, 30,      &  !: number of days per month
-         &       31, 31, 30, 31, 30, 31 /)       !  (365 days a year)
-   
-   REAL(wp), PUBLIC ::                        &  !:
-      rpi = 3.141592653589793_wp           ,  &  !: pi
-      rad = 3.141592653589793_wp / 180._wp ,  &  !: conversion from degre into radian
-      rsmall = 0.5 * EPSILON( 1. )               !: smallest real computer value
+   PUBLIC   phy_cst     ! routine called by inipar.F90
+
+   REAL(wp), PUBLIC ::   rpi = 3.141592653589793_wp             !: pi
+   REAL(wp), PUBLIC ::   rad = 3.141592653589793_wp / 180._wp   !: conversion from degre into radian
+   REAL(wp), PUBLIC ::   rsmall = 0.5 * EPSILON( 1. )           !: smallest real computer value
    
    REAL(wp), PUBLIC ::          & !:
@@ -54,5 +54,5 @@
 #endif
       rau0     = 1020._wp   ,  &  !: volumic mass of reference (kg/m3)
-      rauw     = 1000._wp   ,  &  !: density of pure water (kg/m3)
+      rauw     = 1000._wp   ,  &  !: volumic mass of pure water (kg/m3)
       rcp      =    4.e+3_wp,  &  !: ocean specific heat
       ro0cpr                      !: = 1. / ( rau0 * rcp )
@@ -66,5 +66,5 @@
       lsub    = 2.834e+6      ,   &  !: pure ice latent heat of sublimation (J.kg-1)
       lfus    = 0.334e+6      ,   &  !: latent heat of fusion of fresh ice   (J.kg-1)
-      rhoic   = 917._wp       ,   &  !: density of sea ice (kg/m3)
+      rhoic   = 917._wp       ,   &  !: volumic mass of sea ice (kg/m3)
       tmut    =   0.054       ,   &  !: decrease of seawater meltpoint with salinity
 #else
@@ -76,7 +76,7 @@
       xlic    = 300.33e+6_wp  ,   &  !: volumetric latent heat fusion of ice
       xsn     =   2.8e+6      ,   &  !: latent heat of sublimation of snow
-      rhoic   = 900._wp       ,   &  !: density of sea ice (kg/m3)
+      rhoic   = 900._wp       ,   &  !: volumic mass of sea ice (kg/m3)
 #endif
-      rhosn   = 330._wp       ,   &  !: density of snow (kg/m3)
+      rhosn   = 330._wp       ,   &  !: volumic mass of snow (kg/m3)
       emic    =   0.97_wp     ,   &  !: emissivity of snow or ice
       sice    =   6.0_wp      ,   &  !: salinity of ice (psu)
@@ -99,15 +99,6 @@
       !!
       !! ** Purpose :   Print model parameters and set and print the constants
-      !!
-      !! ** Method  :   no
-      !!
-      !! History :
-      !!        !  90-10  (C. Levy - G. Madec)  Original code
-      !!        !  91-11  (G. Madec)
-      !!        !  91-12  (M. Imbard)
-      !!   8.5  !  02-08  (G. Madec, C. Ethe)  F90, add ice constants 
-      !!----------------------------------------------------------------------
-      !! * Local variables
-      CHARACTER (len=64) ::   cform = "(A9, 3(A13, I7) )" 
+      !!----------------------------------------------------------------------
+      CHARACTER (len=64) ::   cform = "(A12, 3(A13, I7) )" 
       !!----------------------------------------------------------------------
 
@@ -119,22 +110,17 @@
       ! ----------------
       IF(lwp) THEN
-         WRITE(numout,*) '       parameter file'
-         WRITE(numout,*)
+         WRITE(numout,*) '       Domain info'
          WRITE(numout,*) '          dimension of model'
-         WRITE(numout,*) '              Local domain      Global domain       Data domain '
-         WRITE(numout,cform) '         ','   jpi     : ', jpi, '   jpiglo  : ', jpiglo, '   jpidta  : ', jpidta
-         WRITE(numout,cform) '         ','   jpj     : ', jpj, '   jpjglo  : ', jpjglo, '   jpjdta  : ', jpjdta
-         WRITE(numout,cform) '         ','   jpk     : ', jpk, '   jpk     : ', jpk   , '   jpkdta  : ', jpkdta
-         WRITE(numout,*)      '        ','   jpij    : ', jpij
-         WRITE(numout,*)
+         WRITE(numout,*) '                 Local domain      Global domain       Data domain '
+         WRITE(numout,cform) '            ','   jpi     : ', jpi, '   jpiglo  : ', jpiglo, '   jpidta  : ', jpidta
+         WRITE(numout,cform) '            ','   jpj     : ', jpj, '   jpjglo  : ', jpjglo, '   jpjdta  : ', jpjdta
+         WRITE(numout,cform) '            ','   jpk     : ', jpk, '   jpk     : ', jpk   , '   jpkdta  : ', jpkdta
+         WRITE(numout,*)      '           ','   jpij    : ', jpij
          WRITE(numout,*) '          mpp local domain info (mpp)'
          WRITE(numout,*) '             jpni    : ', jpni, '   jpreci  : ', jpreci
          WRITE(numout,*) '             jpnj    : ', jpnj, '   jprecj  : ', jprecj
          WRITE(numout,*) '             jpnij   : ', jpnij
-
-         WRITE(numout,*)
          WRITE(numout,*) '          lateral domain boundary condition type : jperio  = ', jperio
-         WRITE(numout,*) '          domain island (use in rigid-lid case)  : jpisl   = ', jpisl 
-         WRITE(numout,*) '                                                   jpnisl  = ', jpnisl
+         WRITE(numout,*) '          domain island (use in rigid-lid case)  : jpisl   = ', jpisl, '   jpnisl  = ', jpnisl
       ENDIF
 
@@ -142,5 +128,5 @@
       ! ----------------
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) '       constants'
+      IF(lwp) WRITE(numout,*) '       Constants'
 
       IF(lwp) WRITE(numout,*)
